Bug 119591 - two problems: automake-1.6 dependency unnecessary, buildarch is too exclusive
Summary: two problems: automake-1.6 dependency unnecessary, buildarch is too exclusive
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-netboot   
(Show other bugs)
Version: rawhide
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-31 19:16 UTC by Stig Hackvan
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 0.1.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 23:53:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stig Hackvan 2004-03-31 19:16:28 UTC
1. this package doesn't build for i686 or athlon.  probably one ought
to be able to specify x86 as a wildcard, but i386 is too strict

2. mkinstalldirs should not be a symlink to /usr/share/automake-1.6/...



## stig/localhost (pts/7) -- 0 jobs -- Wed Mar 31 -- 11:21:41 ##
## /t >> cat system-config-netboot.spec--archfix+automake-fix.patch
--- system-config-netboot.spec.orig     2004-03-24 21:25:32.000000000
-0800
+++ system-config-netboot.spec  2004-03-31 11:14:16.000000000 -0800
@@ -10,7 +10,7 @@
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 Requires: gnome-python2, pygtk2, pygtk2-libglade,
gnome-python2-canvas, rhpl
 Requires: syslinux, tftp-server >= 0.29-3
-ExclusiveArch: i386 x86_64
+ExclusiveArch: i386 i486 i586 i686 athlon x86_64
 Obsoletes: redhat-config-netboot
  
 %description
@@ -21,6 +21,7 @@
 %setup -q
  
 %build
+ln -svf $(ls /usr/share/automake*/mkinstalldirs | tail -1) .
 make
  
 %install

Comment 1 Daniel Walsh 2004-09-30 20:46:03 UTC
FIxed in system-config-netboot-0.1.6


Note You need to log in before you can comment on or make changes to this bug.